List the current user activity tray for this team
GET
/v1/activitycurl -X GET 'https://api.embodiflow.io/v1/activity' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statestring可选值runningrecent
响应
Success
- dataarray<ActivityItemSwaggerDto>必填
- idstring必填
- typestring必填可选值upload_sessionworkflow_runrecording_processingexporttraining
- projectIdstring (uuid) | null必填
- objectobject必填
- statestring必填可选值queuedrunningsucceededpartially_succeededfailedcanceled
- progressnumber | null必填
- progressCountobject | null
- stageKeystring必填
- etaSecondsnumber | null必填
- startedAtstring必填
- finishedAtstring | null必填
- failureobject | null必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"type": "upload_session",
"projectId": "00000000-0000-0000-0000-000000000000",
"object": {},
"state": "queued",
"progress": 0,
"progressCount": {},
"stageKey": "string",
"etaSeconds": 0,
"startedAt": "string",
"finishedAt": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepRunId": "00000000-0000-0000-0000-000000000000",
"stepAlgorithm": {},
"runId": "00000000-0000-0000-0000-000000000000",
"stepErrorCode": "string"
}
}
],
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1